Analysts

Analyst Ratings

Retrieve analyst ratings.

Parameters
page number

The page number to retrieve.

Defaults to 1.

page_size number

The number of items per page.

If specified, must be between 1 and 10000 inclusive.

Defaults to 100.

tickers string

One or more stock tickers separated by commas.

Returns rating for all tickers if not specified.

firm_id string

The ID of the analyst firm to filter by.

Returns ratings from all firms if not specified.

analyst_id string

The ID of the analyst to filter by.

Returns rating from all analysts if not specified.

GET /v1/analysts-ratings
Response
{
  "page": 5,
  "page_size": 100,
  "has_more_pages": true,
  "ratings": [
    {
      "id": "KG6xf6Pd",
      "ticker": "CHEF",
      "rated_at": "2024-12-16T13:47:59Z",
      "action": "maintains",
      "action_price_target": "raises",
      "rating": "Buy",
      "sentiment": "positive",
      "price_target": 58,
      "adjusted_price_target": 58,
      "analyst": {
        "id": "4ho4A2Q2",
        "name": "Alexander Slagle",
        "ratings_count": 13,
        "firm": {
          "id": "aZ7iHP8v",
          "name": "Jefferies",
          "ratings_count": 4776
        }
      },
      "firm": {
        "id": "aZ7iHP8v",
        "name": "Jefferies",
        "ratings_count": 4776
      }
    },
    {
      "id": "baRI1xSI",
      "ticker": "USFD",
      "rated_at": "2024-12-16T13:41:40Z",
      "action": "maintains",
      "action_price_target": "raises",
      "rating": "Buy",
      "sentiment": "positive",
      "price_target": 82,
      "adjusted_price_target": 82,
      "analyst": {
        "id": "4ho4A2Q2",
        "name": "Alexander Slagle",
        "ratings_count": 13,
        "firm": {
          "id": "aZ7iHP8v",
          "name": "Jefferies",
          "ratings_count": 4776
        }
      },
      "firm": {
        "id": "aZ7iHP8v",
        "name": "Jefferies",
        "ratings_count": 4776
      }
    }
  ]
}